
package com.tmerclub.cloud.api.auth.dto;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 * @date 2021/1/19
 */
public class AuthAccountWithSocialDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private AuthAccountDTO authAccount;

    private String tempUid;

    public AuthAccountDTO getAuthAccount() {
        return authAccount;
    }

    public void setAuthAccount(AuthAccountDTO authAccount) {
        this.authAccount = authAccount;
    }

    public String getTempUid() {
        return tempUid;
    }

    public void setTempUid(String tempUid) {
        this.tempUid = tempUid;
    }

    @Override
    public String toString() {
        return "AuthAccountWithSocialDTO{" +
                "authAccount=" + authAccount +
                ", tempUid='" + tempUid + '\'' +
                '}';
    }
}
